CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
CheckboxFormField Class Reference

Generator for checkbox input fields. More...

Inheritance diagram for CheckboxFormField:
[legend]
Collaboration diagram for CheckboxFormField:
[legend]

## Public Member Functions
| CheckboxFormField ($Name, $Label)
| Object constructor.
| PrintField ($DisplayErrorIndicator=FALSE)
| Generate HTML for the int field and label.
| PrintInput ($DisplayErrorIndicator=FALSE)
| Generate HTML just for the input field.
Public Member Functions inherited from FormField
| FormField ($Name, $IsRequired, $Label, $ValidFunc, $ValidMsgs)
| Object Constructor.
| Name ($NewVal=NULL)
| Get or set Name (internal name for id=)
| IsRequired ($NewVal=NULL)
| Get/set IsRequired.
| Label ($NewVal=NULL)
| Get or set the Label (display name in generated HTML)
| Value ($NewVal=NULL)
| Get or set the field's value.
| IsPassword ()
| Determine if this field is a password fild.
| PrintField ($DisplayErrorIndicator=FALSE)
| Print the label and generate input tags for this object.
| PrintLabel ($DisplayErrorIndicator=FALSE)
| Print the label for this field without generating the input tags.
| IsInvalidValue ($Value)
| Check the validity of the field's value.
| GetInvalidValueMessage ($ErrorCode)
| Map an error code from IsInvalidValue to an error message.

## Additional Inherited Members
Protected Attributes inherited from FormField
| $MyName
| $MyIsRequired
| $MyLabel
| $MyValue
| $MyValidFunc
| $MyValidMsgs

## Detailed Description

Generator for checkbox input fields.

Definition at line 8 of file CheckboxFormField.php.

## Member Function Documentation

CheckboxFormField::CheckboxFormField | ( |  | $Name,
|  |  | $Label
| ) |  |

Object constructor.

Parameters

  Name | internal name of the checkbox field, used as the id= in HTML
  Label | Display name of the checkbox field, showed to the user

Definition at line 17 of file CheckboxFormField.php.

References FormField\FormField().

CheckboxFormField::PrintField | ( |  | $DisplayErrorIndicator = `FALSE` | ) |

Generate HTML for the int field and label.

Parameters

  DisplayErrorIndicator | Setting TRUE will generate html error indicators (OPTIONAL)

Definition at line 27 of file CheckboxFormField.php.

References PrintInput(), and FormField\PrintLabel().

CheckboxFormField::PrintInput | ( |  | $DisplayErrorIndicator = `FALSE` | ) |

Generate HTML just for the input field.

Parameters

  DisplayErrorIndicator | Setting TRUE will generate html error indicators (OPTIONAL)

Definition at line 38 of file CheckboxFormField.php.

Referenced by PrintField().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- objects/CheckboxFormField.php